aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorYann Herklotz <git@yannherklotz.com>2019-06-06 12:18:50 +0100
committerYann Herklotz <git@yannherklotz.com>2019-06-06 12:19:44 +0100
commit54c2072ac4b92bb3db3fcd0208cbb877f1abbf8d (patch)
tree79a8cb8ca4cd920f17d5f5817096dbb2b5e5a168 /scripts
parent720fa7a822a077458cf0b29e9dcdc754a881e8bd (diff)
downloadverismith-54c2072ac4b92bb3db3fcd0208cbb877f1abbf8d.tar.gz
verismith-54c2072ac4b92bb3db3fcd0208cbb877f1abbf8d.zip
Add exclude script
Diffstat (limited to 'scripts')
-rw-r--r--scripts/exclude.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/scripts/exclude.sh b/scripts/exclude.sh
new file mode 100644
index 0000000..cfaf514
--- /dev/null
+++ b/scripts/exclude.sh
@@ -0,0 +1,37 @@
+#!/usr/bin/env bash
+
+# bug0: ./output_vivado_all2/fuzz_8/vivado_2018.2/hs_err_pid108202.log
+bug0="HOptGenControl::updateConst\(UConst\*, int, URange const&, UConst::Type, UConst::Type\)\+0x8d"
+
+# bug1: ./output_vivado_all2/fuzz_18/vivado_2016.2/hs_err_pid128529.log
+bug1="HOptDfg::reconnectLoadPinToSource\(DFPin\*, DFPin\*\)\+0x247"
+
+# bug2: ./output_vivado_all2/fuzz_1/vivado_2016.2/hs_err_pid99371.log
+bug2="HOptDfg::reconnectLoadPinToSource\(DFPin\*, DFPin\*\)\+0x2c0"
+
+# bug3: ./output_vivado_all2/fuzz_1/vivado_2018.2/hs_err_pid99120.log
+bug3="HOptDfg::reconnectLoadPinToSource\(DFPin\*, DFPin\*\)\+0x23b"
+
+# bug4: ./size_test_length_no_combine/1/output5/fuzz_20/reduce_vivado/hs_err_pid52393.log
+bug4="HOptDfg::mergeReconvergentPartitions\(DFPin\*, DFGraph\*, UHashSet<DFPin\*, DFPin\*, UEKey<DFPin\*>, UHashSetNode<DFPin\*>, DFPin\*, UEValue<DFPin\*, UHashSetNode<DFPin\*> > > const&, UHashMap<DFNode\*, DFPin\*, DFNode\*, UEKey<DFNode\*> >&, UHashMap<DFGraph\*, DFGraphInfo, DFGraph\*, UEKey<DFGraph\*> >&, DFGraph::DFGraphType, UHashMapList<DFGraph\*, UHashList<DFPin\*, DFPin\*, UEKey<DFPin\*>, UHashListNode<DFPin\*>, DFPin\*>, DFGraph\*, UEKey<DFGraph\*> >&\)\+0x1c6"
+
+# bug5: ./swarm/medium95/fuzz_14/reduce_vivado/hs_err_pid126430.log
+bug5="HOptDfg::mergeReconvergentPartitions\(DFPin\*, DFGraph\*, UHashSet<DFPin\*, DFPin\*, UEKey<DFPin\*>, UHashSetNode<DFPin\*>, DFPin\*, UEValue<DFPin\*, UHashSetNode<DFPin\*> > > const&, UHashMap<DFNode\*, DFPin\*, DFNode\*, UEKey<DFNode\*> >&, UHashMap<DFGraph\*, DFGraphInfo, DFGraph\*, UEKey<DFGraph\*> >&, DFGraph::DFGraphType, UHashMapList<DFGraph\*, UHashList<DFPin\*, DFPin\*, UEKey<DFPin\*>, UHashListNode<DFPin\*>, DFPin\*>, DFGraph\*, UEKey<DFGraph\*> >&\)\+0x2e8"
+
+# bug6: ./swarm/medium108/fuzz_3/reduce_vivado/hs_err_pid95577.log
+bug6="DD::DD\(Cudd\*, DdNode\*\)\+0x2a"
+
+# bug7: ./output_vivado/medium13/fuzz_12/vivado_2016.2/hs_err_pid47970.log
+bug7="HOptDfg::mergeReconvergentPartitions\(DFPin\*, DFGraph\*, UHashSet<DFPin\*, DFPin\*, UEKey<DFPin\*>, UHashSetNode<DFPin\*>, DFPin\*, UEValue<DFPin\*, UHashSetNode<DFPin\*> > > const&, UHashMap<DFNode\*, DFPin\*, DFNode\*, UEKey<DFNode\*> >&, UHashMap<DFGraph\*, DFGraphInfo, DFGraph\*, UEKey<DFGraph\*> >&, DFGraph::DFGraphType, UHashMapList<DFGraph\*, UHashList<DFPin\*, DFPin\*, UEKey<DFPin\*>, UHashListNode<DFPin\*>, DFPin\*>, DFGraph\*, UEKey<DFGraph\*> >&\)\+0x241"
+
+# bug8: ./output_vivado/medium10/fuzz_5/vivado_2016.2/hs_err_pid50009.log
+bug8="HOptGenControl::extractSyncRSForWireOrMerge\(DFGraph\*, DFNode\*, URange const&, DFEdge\*, DFPin\*\*, UConst\*, int, UConst\*, int, bool, DFPin\*&, UHashSet<DFNode\*, DFNode\*, UEKey<DFNode\*>, UHashSetNode<DFNode\*>, DFNode\*, UEValue<DFNode\*, UHashSetNode<DFNode\*> > >&, bool\)\+0xc33"
+
+grep -E "$bug0|$bug1|$bug2|$bug3|$bug4|$bug5|$bug6|$bug7|$bug8" $1 >/dev/null 2>&1
+exitcode=$?
+
+if [[ $exitcode -ne 0 ]]; then
+ echo $1
+ head $1
+ echo
+fi